> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-b2b-peering/match/service-to-customer > Create B2B extranet configuration for matching a service to a customer ## OpenAPI ````json POST /v1/extranets-b2b-peering/match/service-to-customer { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-b2b-peering/match/service-to-customer": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bPeeringMatchServiceToCustomerPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bPeeringMatchServiceToCustomerPostResponse" } } } } }, "description": "Create B2B extranet configuration for matching a service to a customer" } } }, "components": { "schemas": { "v1ExtranetsB2bPeeringMatchServiceToCustomerPostRequest": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "ID of the customer (required)" }, "service": { "$ref": "#/components/schemas/manaV2B2bExtranetMatchServiceToCustomer" } }, "additionalProperties": false, "required": [ "id", "service" ] }, "v1ExtranetsB2bPeeringMatchServiceToCustomerPostResponse": { "type": "object", "properties": { "matchId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "service": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bExtranetMatchServiceToCustomer" } } }, "additionalProperties": false }, "manaV2B2bExtranetMatchServiceToCustomer": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "ID of the service being subscribed by the customer (required)" }, "lanSegment": { "type": "integer", "format": "int64", "example": 1234567891011 }, "nat": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bNat" } }, "numCustomers": { "type": "integer", "format": "int32", "example": 123, "minimum": 0, "description": "Number of customers subscribed to the service" }, "servicePrefixes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bExtranetPrefixTag" } } }, "additionalProperties": false, "required": [ "id", "nat", "servicePrefixes" ] }, "manaV2B2bNat": { "type": "object", "properties": { "outsideNatPrefix": { "type": "string", "example": "100.1.2.0/24", "description": "Outside NAT prefix for the customer prefix" }, "prefix": { "type": "string", "example": "10.1.2.0/24", "description": "Prefix imported into the service (required)" } }, "additionalProperties": false, "required": [ "prefix" ] }, "manaV2B2bExtranetPrefixTag": { "type": "object", "properties": { "prefix": { "type": "string", "example": "10.1.2.0/24", "description": "Prefix advertised by the service (required)" }, "tag": { "type": "string", "example": "example string", "description": "Tag for the prefix" } }, "additionalProperties": false, "required": [ "prefix" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````